commit: 6ac82ce27111847855652f7cf8dc34d8cc0869d4
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 23 17:22:50 2022 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Nov 23 17:22:50 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6ac82ce2
dev-libs/libedit: Bump to 20221030.3.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-libs/libedit/Manifest | 1 +
dev-libs/libedit/libedit-20221030.3.1.ebuild | 42 ++++++++++++++++++++++++++++
2 files changed, 43 insertions(+)
diff --git a/dev-libs/libedit/Manifest b/dev-libs/libedit/Manifest
index c2af86f2ca37..2729ad2940bf 100644
--- a/dev-libs/libedit/Manifest
+++ b/dev-libs/libedit/Manifest
@@ -1 +1,2 @@
DIST libedit-20210419-3.1.tar.gz 522387 BLAKE2B
265c7a10905120feb096d147279a9cf7296cf3b19e16ff4a683d7de11305c0d0c7a67fe8652c1b8f16cbaf3e09b7727987bb6839be4657eb41323c0220704969
SHA512
d5e2cdad18d17fb94e839d02b7b7437378bb85986478d4c95e4105a6ac47fcbbd6bdd0a20a83d23455ed9cb1e178d6c0acbe63f4559096afd506f283c2cc00e9
+DIST libedit-20221030-3.1.tar.gz 533261 BLAKE2B
f4a9784cfc2a30af2778f0e05b6e45ca489555c3009ba050ea19134670ad71fdd099425dee0526dcbb6a1a84f51bd8014ce2540be0535465cb59ab998753833c
SHA512
41eb46feaffa909e8790b9a9e304d5246e82ab366721196126a923d68b4d4964d0a433fe238f9d5e0a00aefb5c8cb66132150792929a793785ad091d91016f97
diff --git a/dev-libs/libedit/libedit-20221030.3.1.ebuild
b/dev-libs/libedit/libedit-20221030.3.1.ebuild
new file mode 100644
index 000000000000..c7a6330960c0
--- /dev/null
+++ b/dev-libs/libedit/libedit-20221030.3.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit multilib-minimal
+
+MY_P=${P/./-}
+DESCRIPTION="BSD replacement for libreadline"
+HOMEPAGE="https://thrysoee.dk/editline/"
+SRC_URI="https://thrysoee.dk/editline/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+IUSE="static-libs"
+
+DEPEND="
+ >=sys-libs/ncurses-5.9-r3[static-libs?,${MULTILIB_USEDEP}]
+"
+RDEPEND="
+ ${DEPEND}
+"
+
+QA_PKGCONFIG_VERSION=$(ver_cut 2-3)
+
+multilib_src_configure() {
+ local myconf=(
+ $(use_enable static-libs static)
+ --enable-fast-install
+ )
+
+ ECONF_SOURCE="${S}" econf "${myconf[@]}"
+}
+
+multilib_src_install_all() {
+ einstalldocs
+ find "${D}" -name '*.la' -delete || die
+ # file collision with sys-libs/readline
+ rm "${ED}/usr/share/man/man3/history.3" || die
+}